Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		libiodbc
#Epoch:		0
Version:	3.52.7
Release:	1
License:	GNU/LGPLv2 or BSD
URL:		http://www.iodbc.org
Group:		System/Libraries
Summary:	ODBC and X/Open implementation
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
iODBC is the acronym for Independent Open DataBase Connectivity, an Open Source platform independent implementation of both the ODBC and X/Open specifications. It is rapidly emerging as the industry standard for developing solutions that are language, platform and database independent.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
	--prefix=%_prefix \
	--includedir=%{_includedir}/iodbc \
	--sysconfdir=%{_sysconfdir}/iodbc \
	--enable-odbc3 \
	--disable-libodbc \
	--with-iodbc-inidir=%{_sysconfdir} \
	--enable-pthreads \
	--disable-gui


make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/iodbc
install etc/odbc.ini.sample $RPM_BUILD_ROOT%{_sysconfdir}/iodbc/odbc.ini

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog LICENSE NEWS README
%dir %{_sysconfdir}/iodbc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/iodbc/odbc.ini
%{_bindir}/iodbc-config
%{_bindir}/iodbctest
%{_bindir}/iodbctestw
%{_mandir}/man1/iodbc-config.1.gz
%{_mandir}/man1/iodbctest.1.gz
%{_mandir}/man1/iodbctestw.1.gz
%{_libdir}/libiodbc.so.*
%{_libdir}/libiodbcinst.so.*


%files devel
%defattr(-,root,root)
%{_includedir}/iodbc
%{_libdir}/libiodbc.a
%{_libdir}/libiodbc.la
%{_libdir}/libiodbc.so
%{_libdir}/libiodbcinst.a
%{_libdir}/libiodbcinst.la
%{_libdir}/libiodbcinst.so
%{_pkgconfig}/libiodbc.pc
%{_datadir}/libiodbc/samples/Makefile
%{_datadir}/libiodbc/samples/iodbctest.c

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Feb 10 2010 Karsten Brockmann <arcam@ccux-linux.de>  3.52.7-1
- initial CCux package release
